function expandOrShrink(id) {
	try {
		var div = document.getElementById("div_" + id);
		if(div == null)
			return;
		var img = document.getElementById("img_" + id);
		var src = img.src;
		var toExpand;
		if(src.indexOf("expand") >= 0) {
			toExpand = true;
		} else {
			toExpand = false;
		}
		if(toExpand) {
			div.style.display = "block";
			img.src = "design/shrink.png";
			img.alt = "收縮";
			window.location.href = "#h_" + id;
		} else {
			div.style.display = "none";
			img.src = "design/expand.png";
			img.alt = "展開";
		}
	} catch (e) {
	}
}
function setSelected(e) {
	try {
		if (!e) var e = event;
		e.currentTarget.style.backgroundColor = "#cccccc";
	}
	catch (err) {
	}
}
function setNormal(e) {
	try {
		if (!e) var e = event;
		e.currentTarget.style.backgroundColor = "#e0e0e0";
	}
	catch (err) {
	}
}
function onLoad() {
	try {
		//var table = document.getElementById("table");
		//var arr = table.getElementsByTagName("tr");
		var arr = [];
		arr[0] = document.getElementById("h_meaning");
		arr[1] = document.getElementById("h_origindesc");
		arr[2] = document.getElementById("h_origin");
		arr[3] = document.getElementById("h_book");
		arr[4] = document.getElementById("h_recognize");
		arr[5] = document.getElementById("h_grammar");
		for (p in arr) {
			if (isNaN(Number(p))) {
				continue;
			}
			var node = arr[p];
			if (node == null) {
				continue;
			}
			if (node.addEventListener) {
				node.addEventListener("touchstart", setSelected, false);
				node.addEventListener("touchend", setNormal, false);
				node.addEventListener("mousedown", setSelected, false);
				node.addEventListener("mouseup", setNormal, false);
			}
			else {
			}
		}
	}
	catch (err) {
	}
}

function changeBookmark(entryName, isBookmark) {
	try {
		if (entryName != name) return;
		var img = document.getElementById("bookmark");
		if(isBookmark) {
			img.src = "design/bookmark_enabled.png";
		} else {
			img.src = "design/bookmark_disabled.png";
		}
	} catch (e) {
	}
}
function requestChangeBookmark() {
	try {
		var img = document.getElementById("bookmark");
		var src = img.src;
		if(src.indexOf("enabled") >= 0) {
			document.location="dict://bookmark/disable";
		} else {
			document.location="dict://bookmark/enable";
		}
	} catch (e) {
	}
}
function changeFontFamily(font) {
	try {
		var body = document.getElementsByTagName("body")[0];
		body.className = "font-" + font;
	} catch (e) {
	}
}